<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
//version:3.0
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/sitelinks.php";

if (file_exists(INFUSIONS."new_navigation_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."new_navigation_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."new_navigation_panel/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");
if (!checkrights("SL")) fallback("../index.php");
if (isset($link_id) && !isNum($link_id)) fallback(FUSION_SELF);
if (!isset($action)) $action = "";

if (!isset($nnp_page)) {
	$nnp_page=1;
}

$config = dbarray(dbquery("SELECT link_display_type FROM ".DB_PREFIX."site_links_new_config LIMIT 1"));
$nnp_style = $config['link_display_type'];

define ("NNP_VERSION", "3.0");

$allowed_file_types = array(".gif",".png",".jpg",".jpeg");

$result = dbquery("SELECT * FROM ".$db_prefix."site_links_new;");
$rows = dbrows($result);
if (!isset($_POST['import_data_no']) && $rows==0) {
   opentable($locale['nnp220']);
	if ($rows==0) {
	   if (isset($_POST['import_data_yes'])) {
         $result = dbquery("SELECT * FROM ".$db_prefix."site_links;");
         while ($data = dbarray($result)) {
            if ($data['link_name']!="---" && $data['link_url']=="---") {
               $image = "000.gif";
            } else {
               $image = "";
            }
            if (!$result2 = dbquery("INSERT INTO ".$db_prefix."site_links_new
            VALUES (
            '".$data['link_id']."', 
            '".$data['link_name']."',
            '".$data['link_url']."',
            '".$data['link_visibility']."',
            '".$data['link_position']."',
            '".$data['link_window']."',
            '".$data['link_order']."',
            '".$image."',
            '0',
            '0'
            )")) $error=1;
         }
         echo "<center>";
         if ($error==1) {
         	echo "<span style='color:red;font-weight:bold'>".$locale['nnp230']."</span><br  /><br  />";
         } else {
         	echo $locale['nnp231']."<br  /><br  />";
         }
         echo "<a href='".FUSION_SELF."'>".$locale['nnp240']."</a><br  /><br  />";
         echo "<a href='".ADMIN."index.php'>".$locale['nnp241']."</a>";
         echo "</center>";
	   } else {
	      echo "<center>";
	      echo "<form action='".FUSION_SELF."' method='post'>";
	      echo $locale['nnp221']."<br><br>";
	      echo "<input class='button' style='width:60px' type='submit' name='import_data_yes' value='".$locale['nnp222']."'/>";
	      echo "&nbsp;&nbsp;&nbsp;<input class='button' style='width:60px' type='submit' name='import_data_no' value='".$locale['nnp223']."'/>";
	      echo "</form>";
	      echo "</center>";
	   }
	}
   closetable();
} else {
   //save config
	if (isset($_POST['save_config']) && $_POST['save_config']!="" && $_POST['nnp_style']!='') {
	   if ($result = dbquery("UPDATE ".DB_PREFIX."site_links_new_config SET link_display_type='".$_POST['nnp_style']."'")) {
	      $save_display = "<b>".$locale['nnp270']."</b>";
	   } else {
	      $save_display = "<b>".$locale['nnp271']."</b>";
	   }
	}
	if ($action == "delete") {
	   opentable($locale['400']);
      $data = dbarray(dbquery("SELECT * FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'"));
      $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
      $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
      $result = dbquery("DELETE FROM ".$db_prefix."site_links WHERE link_id='$link_id'");
      $result = dbquery("DELETE FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'");
	   echo "<center><br>
	".$locale['401']."<br><br>
	<a href='".FUSION_SELF."'>".$locale['402']."</a><br><br>
	<a href='index.php'>".$locale['403']."</a><br><br>
	</center>\n";
	   closetable();
	} else {
	   if (isset($_POST['savelink'])) {
	      $link_name = stripinput($_POST['link_name']);
	      $link_name_ori = preg_replace("[\[(.*?)\](.*?)\[(.*?)\]]", "", $_POST['link_name']);
	      $link_url = stripinput($_POST['link_url']);
	      $link_position = $_POST['link_position'];
	      $link_window = $_POST['link_window'];
	      $link_img = $_POST['link_img'];
	      $link_open = $_POST['link_open'];
	      $link_subgroup = $_POST['link_subgroup'];
	      if ($action == "edit") {
	         $data = dbarray(dbquery("SELECT link_order FROM ".$db_prefix."site_links WHERE link_id='$link_id'"));
	         if($link_order < $data['link_order']){
               $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order+1 WHERE link_order>='$link_order' AND link_order<'$data[link_order]'");
               $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order+1 WHERE link_order>='$link_order' AND link_order<'$data[link_order]'");
	         } else if ($link_order > $data['link_order']){
               $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."' AND link_order<='$link_order'");
               $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."' AND link_order<='$link_order'");
	         }           
            $result = dbquery("UPDATE ".$db_prefix."site_links SET link_name='$link_name_ori', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_order='$link_order' WHERE link_id='$link_id'");
            $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_order='$link_order', link_img='$link_img', link_open='$link_open', link_subgroup='$link_subgroup' WHERE link_id='$link_id'");
	         redirect(FUSION_SELF);
	      } else {
	         if(!$link_order) {
               $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links"),0)+1;
               $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links_new"),0)+1;
	         }
            $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order+1 WHERE link_order>='$link_order'"); 
            $result = dbquery("INSERT INTO ".$db_prefix."site_links (link_id, link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('', '$link_name_ori', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order')");
            $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order+1 WHERE link_order>='$link_order'"); 
            $result = dbquery("INSERT INTO ".$db_prefix."site_links_new (link_id, link_name, link_url, link_visibility, link_position, link_window, link_order, link_img, link_open, link_subgroup) VALUES ('', '$link_name', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order', '$link_img', '$link_open', '$link_subgroup')");
	         redirect(FUSION_SELF);
	      }
	   }
	   //config
	   $navigation = "
	   <table class='tbl-border' width='100%' cellpadding='0' cellspacing='1'>
	      <tr>
	         <td style='width:50%;text-align:center' class='".($nnp_page==1?"tbl1":"tbl2")."'>".($nnp_page==1?"<b>".$locale['nnp250']."</b>":"<a href='".FUSION_SELF."?nnp_page=1'>".$locale['nnp250']."</a>")."</td>
	         <td style='width:50%;text-align:center' class='".($nnp_page==2?"tbl1":"tbl2")."'>".($nnp_page==2?"<b>".$locale['nnp251']."</b>":"<a href='".FUSION_SELF."?nnp_page=2'>".$locale['nnp251']."</a>")."</td>
	      </tr>
	   </table>\n";
	   if (isset($nnp_page) && $nnp_page==2) {
         opentable($locale['411']);
	   	echo $navigation;
	   	echo "<br><br>";
	      echo "<form name='inputform' method='post' action='".FUSION_SELF."'>
	      <table align='center' cellspacing='0' cellpadding='0'>
	      <tr>
	      <td class='tbl'>".$locale['nnp260']."</td>
	      <td class='tbl'>
	      <select class='textbox' name='nnp_style'>
	         <option value='images_pull' ".($nnp_style=="images_pull"?"selected":"").">".$locale['nnp261']."</option>
	         <option value='images' ".($nnp_style=="images"?"selected":"").">".$locale['nnp262']."</option>
	         <option value='classic_pull' ".($nnp_style=="classic_pull"?"selected":"").">".$locale['nnp263']."</option>
	         <option value='classic' ".($nnp_style=="classic"?"selected":"").">".$locale['nnp264']."</option>
	      </select>
	      </td>
	      </tr>
	      <tr>
	      <td class='tbl' colspan='2'>
	      <center>
	      <input type='submit' name='save_config' value='".$locale['nnp265']."' class='button' style='width:100px;'>
	      </center>
	      </td>
	      </tr>
	      </table>\n</form>";
			closetable();	   
	   } else {
	      if ($action == "edit") {
	         $result = dbquery("SELECT * FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'");
	         $data = dbarray($result);
	         $link_name = $data['link_name'];
	         $link_url = $data['link_url'];
	         $link_visibility = $data['link_visibility'];
	         $link_order = $data['link_order'];
	         $pos1_check = ($data['link_position']=="1" ? " checked" : "");
	         $pos2_check = ($data['link_position']=="2" ? " checked" : "");
	         $pos3_check = ($data['link_position']=="3" ? " checked" : "");
	         $window_check = ($data['link_window']=="1" ? " checked" : "");
	         $link_img = $data['link_img'];
	         $open_check = ($data['link_open']=="1" ? " checked" : "");
	         $subgroup_check = ($data['link_subgroup']=="1" ? " checked" : "");
	         $formaction = FUSION_SELF."?action=edit&amp;link_id=".$data['link_id'];
	         opentable($locale['410']);
	      } else {
	         $link_name = "";
	         $link_url = "";
	         $link_visibility = "";
	         $link_order = "";
	         $pos1_check = " checked";
	         $pos2_check = "";
	         $pos3_check = "";
	         $window_check = "";
	         $link_img = "";
	         $link_open = "";
	         $open_check = "";
	         $subgroup_check = "";
	         $formaction = FUSION_SELF;
	         opentable($locale['411']);
	      }
	      $visibility_opts = ""; $sel = "";
	      $user_groups = getusergroups();
	      while(list($key, $user_group) = each($user_groups)){
	         $sel = ($link_visibility == $user_group['0'] ? " selected" : "");
	         $visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	      }
	      echo $navigation;
	      if ($save_display!="") {
	      	echo "<br><center>".$save_display."</center><br>";
	      }
	      echo "<form name='inputform' method='post' action='$formaction'>
	   <table align='center' cellspacing='0' cellpadding='0'>
	   <tr>
	   <td class='tbl'>".$locale['420']."</td>
	   <td class='tbl'><input type='text' name='link_name' value='$link_name' maxlength='100' class='textbox' style='width:500px;'></td>
	   </tr>
	   <tr>
	   <td class='tbl'>".$locale['nnp300']."</td>
	   <td class='tbl'>
	   <input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('link_name', '[b]', '[/b]');\">
	   <input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('link_name', '[i]', '[/i]');\">
	   <input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('link_name', '[u]', '[/u]');\">
	   <select name='bbcolor' class='textbox' style='width:90px;' onChange=\"addText('link_name', '[color=' + this.options[this.selectedIndex].value + ']', '[/color]');this.selectedIndex=0;\">
	   <option value=''>Default</option>
	   <option value='maroon' style='color:maroon;'>Maroon</option>
	   <option value='red' style='color:red;'>Red</option>
	   <option value='orange' style='color:orange;'>Orange</option>
	   <option value='brown' style='color:brown;'>Brown</option>
	   <option value='yellow' style='color:yellow;'>Yellow</option>
	   <option value='green' style='color:green;'>Green</option>
	   <option value='lime' style='color:lime;'>Lime</option>
	   <option value='olive' style='color:olive;'>Olive</option>
	   <option value='cyan' style='color:cyan;'>Cyan</option>
	   <option value='blue' style='color:blue;'>Blue</option>
	   <option value='navy' style='color:navy;'>Navy Blue</option>
	   <option value='purple' style='color:purple;'>Purple</option>
	   <option value='violet' style='color:violet;'>Violet</option>
	   <option value='black' style='color:black;'>Black</option>
	   <option value='gray' style='color:gray;'>Gray</option>
	   <option value='silver' style='color:silver;'>Silver</option>
	   <option value='white' style='color:white;'>White</option>
	   </select>
	   </td>
	   </tr>
	   <tr>
	   <td class='tbl'>".$locale['421']."</td>
	   <td class='tbl'><input type='text' name='link_url' value='$link_url' maxlength='200' class='textbox' style='width:500px;'></td>
	   </tr>
	   <tr>
	   <td class='tbl'>".$locale['422']."</td>
	   <td class='tbl'><select name='link_visibility' class='textbox'>
	   $visibility_opts</select>
	   ".$locale['423']."
	   <input type='text' name='link_order'  value='$link_order' maxlength='2' class='textbox' style='width:40px;'></td>
	   </tr>
	   <tr>
	   <td valign='top' class='tbl'>".$locale['424']."</td>
	   <td class='tbl'><input type='radio' name='link_position' value='1'$pos1_check> ".$locale['425']."<br>
	   <input type='radio' name='link_position' value='2'$pos2_check> ".$locale['426']."<br>
	   <input type='radio' name='link_position' value='3'$pos3_check> ".$locale['427']."<hr>
	   <input type='checkbox' name='link_window' value='1'$window_check> ".$locale['428']."<hr>
	   </td>
	   </tr>
	   <tr>
	   <td valign='top' class='tbl'>".$locale['nnp200']."</td>
	   <td class='tbl'>";
	   $display_images = array();
	   $temp = opendir("images");
	   while ($folder = readdir($temp)) {
	   	$suffix = strtolower(strstr($folder, "."));
	      if ($folder!="." && $folder!=".." && $folder!="null.gif" && in_array($suffix, $allowed_file_types)) {
	      	$display_images[]=$folder;
	      }
	   }
	   closedir($temp);
	   sort($display_images); 		
	   echo "<select name='link_img' class='textbox' onChange=\"document.selected_img.src = 'images/' + document.inputform.link_img.options[document.inputform.link_img.selectedIndex].value;\">\n";
	   echo "<option value='null.gif' $imgsel>".$locale['nnp203']."</option>\n";
		for ($i=0;$i<sizeof($display_images);$i++) {
         if ($data['link_img']==$display_images[$i]) {
            $imgsel="selected";
         } else {
            $imgsel="";
         }
	      echo "<option value='".$display_images[$i]."' $imgsel>".$display_images[$i]."</option>\n";
	   }
	   echo "</select>\n&nbsp;&nbsp;
	   ".$locale['nnp201']." <img name='selected_img' src='images/".($link_img ? $link_img : "null.gif")."' style='border:none' alt='".$link_img."'><br><br>
	   <input type='checkbox' name='link_open' value='1'$open_check> ".$locale['nnp202']."<br>
	   <input type='checkbox' name='link_subgroup' value='1'$subgroup_check> ".$locale['nnp204']."<hr>
	   </td>
	   </tr>
	   <tr>
	   <td align='center' colspan='2' class='tbl'>
	   <input type='submit' name='savelink' value='".$locale['429']."' class='button'></td>
	   </tr>
	   </table>
	   </form>\n";
	      closetable();
	      tablebreak();
	      opentable($locale['412']);
	      echo "<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
	   <tr>
	   <td class='tbl2'>".$locale['430']."</td>
	   <td align='center' class='tbl2'>".$locale['431']."</td>
	   <td align='center' class='tbl2'>".$locale['432']."</td>
	   <td align='right' class='tbl2'>".$locale['433']."</td>
	   </tr>\n";
	      $result = dbquery("SELECT * FROM ".$db_prefix."site_links_new ORDER BY link_order");
	      if (dbrows($result) != 0) {
	         while($data = dbarray($result)) {
	            echo "<tr>\n<td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"").">";
	            if ($data['link_position'] == 3) echo "<i>";
	            if ($data['link_name'] != "---" && $data['link_url'] == "---") {
	            	$subgroup=false;
	            	if ($data['link_subgroup']!=0) {
	            		$subgroup=true;
	            	}
	            	if ($subgroup) echo "&nbsp;&nbsp;&nbsp;&nbsp;";
	               echo "<img src='images/".$data['link_img']."' style='border:none;vertical-align:middle' alt='".$data['link_img']."'> <b>".parseubb($data['link_name'])."</b> <span class='alt'>".($data['link_open']==0 ? "[".$locale['nnp210']."]" : "[".$locale['nnp211']."]")."</span>\n";
	            } else if ($data['link_name'] == "---" && $data['link_url'] == "---") {
	            	if ($subgroup) echo "&nbsp;&nbsp;&nbsp;&nbsp;";
	               echo "<hr>\n";
	            } else {
	               if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
		            	if ($subgroup) echo "&nbsp;&nbsp;&nbsp;&nbsp;";
	                  echo "<img src='".THEME."images/bullet.gif' alt='bullet' border='0'> <a href='".$data['link_url']."'>".parseubb($data['link_name'])."</a>\n";
	               } else {
		            	if ($subgroup) echo "&nbsp;&nbsp;&nbsp;&nbsp;";
	                  echo "<img src='".THEME."images/bullet.gif' alt='bullet' border='0'> <a href='".BASEDIR.$data['link_url']."'>".parseubb($data['link_name'])."</a>\n";
	               }
	            }
	            if ($data['link_position'] == 3) echo "</i>";
	            echo "</td>
	   <td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"")." align='center'>".getgroupname($data['link_visibility'])."</td>
	   <td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"")." align='center'>".$data['link_order']."</td>
	   <td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"")." align='right'><a href='".FUSION_SELF."?action=edit&amp;link_id=".$data['link_id']."'>".$locale['434']."</a> -
	   <a href='".FUSION_SELF."?action=delete&amp;link_id=".$data['link_id']."'>".$locale['435']."</a></td>
	   </tr>\n";
	         }
	      } else {
	         echo "<tr colspan='4'>\n<td>".$locale['436']."</td>\n</tr>\n";
	      }
	      echo "</table>\n";
	      closetable();
	   }
	}
	echo "</td>\n";
}
require_once BASEDIR."footer.php";
?>